set DesignName map9v3
set OutputDirectory outdir_map9v3
set proc_dir procs
set enable_prelayout_timing 0
if {$enable_prelayout_timing == 1} {
        set prefix "prelayout"
        } else {
        set prefix "postlayout"
}

puts "\nInfo: Timing Analysis Started...."
puts "\nInfo: Initializing number of threads, libraries, sdc, verilog netlist path..."
set inputConfFile test.conf
puts "input conf file is $inputConfFile"
set outputReportFileName my_report
puts "output report file is $outputReportFileName"

source $proc_dir/read_sdc.proc
read_sdc map9v3.sdc
set conf_file [open $inputConfFile w]
puts $conf_file "read_celllib -min /usr/local/share/qflow/tech/osu018/osu018_stdcells.lib"
puts $conf_file "read_celllib -max /usr/local/share/qflow/tech/osu018/osu018_stdcells.lib"
puts $conf_file "read_verilog map9v3.final.synth.v"
puts $conf_file "read_sdc $DesignName.opentimer.sdc"
close $conf_file



if {$enable_prelayout_timing == 1} {
        puts "\nInfo: enable_prelayout_timing is $enable_prelayout_timing. Enabling zero-wire load parasitics"
        set spef_file [open map9v3.spef w]
puts $spef_file "*SPEF \"IEEE 1481-1998\" "
puts $spef_file "*DESIGN \"map9v3\" "
puts $spef_file "*DATE \"Tue Sep 25 11:51:50 2012\" "
puts $spef_file "*VENDOR \"TAU 2015 Contest\" "
puts $spef_file "*PROGRAM \"Benchmark Parasitic Generator\" "
puts $spef_file "*VERSION \"0.0\" "
puts $spef_file "*DESIGN_FLOW \"NETLIST_TYPE_VERILOG\" "
puts $spef_file "*DIVIDER / "
puts $spef_file "*DELIMITER : "

puts $spef_file "*BUS_DELIMITER \[ \] "
puts $spef_file "*T_UNIT 1 PS "
puts $spef_file "*C_UNIT 1 FF "
puts $spef_file "*R_UNIT 1 KOHM "
puts $spef_file "*L_UNIT 1 UH "
close $spef_file
}
set conf_file [open $inputConfFile a]
#puts $conf_file "read_spef $OutputDirectory/synthesis/$DesignName.spef"
puts $conf_file "report_timing "
puts $conf_file "report_wns "
close $conf_file


set time_elapsed_in_us [time {exec -ignorestderr >& $outputReportFileName OpenTimer -i $inputConfFile}]
set time_elapsed_in_sec "[expr {[lindex $time_elapsed_in_us 0]/100000}]sec"
puts "\nInfo: STA finished in $time_elapsed_in_sec seconds" 
puts "\nInfo: Refer to $outputReportFileName for warnings and errors"
set tcl_precision 3

